-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 11, 2017 at 12:30 PM
-- Server version: 5.5.27
-- PHP Version: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `theme_classified`
--

-- --------------------------------------------------------

--
-- Table structure for table `oc_meagafooter_to_store`
--

CREATE TABLE IF NOT EXISTS `oc_meagafooter_to_store` (
  `megafooter_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `oc_meagafooter_to_store`
--

INSERT INTO `oc_meagafooter_to_store` (`megafooter_id`, `store_id`) VALUES
(5, 0),
(3, 0),
(1, 0),
(4, 0),
(2, 0);

-- --------------------------------------------------------

--
-- Table structure for table `oc_meagaheader_to_store`
--

CREATE TABLE IF NOT EXISTS `oc_meagaheader_to_store` (
  `megaheader_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `oc_meagaheader_to_store`
--

INSERT INTO `oc_meagaheader_to_store` (`megaheader_id`, `store_id`) VALUES
(60, 0),
(61, 0),
(62, 0),
(63, 0),
(58, 0),
(59, 0);

-- --------------------------------------------------------

--
-- Table structure for table `oc_megafooter`
--

CREATE TABLE IF NOT EXISTS `oc_megafooter` (
  `megafooter_id` int(11) NOT NULL AUTO_INCREMENT,
  `row` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `status` int(1) NOT NULL,
  `megafootertype` varchar(255) CHARACTER SET utf8 NOT NULL,
  `customcode` text CHARACTER SET utf8 NOT NULL,
  `informations` text NOT NULL,
  `manufactures` text NOT NULL,
  `categories` text NOT NULL,
  `colmns` int(11) NOT NULL,
  `titleshow` int(1) NOT NULL,
  PRIMARY KEY (`megafooter_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `oc_megafooter`
--

INSERT INTO `oc_megafooter` (`megafooter_id`, `row`, `sort_order`, `status`, `megafootertype`, `customcode`, `informations`, `manufactures`, `categories`, `colmns`, `titleshow`) VALUES
(1, 1, 3, 1, 'information', '', 'a:4:{i:0;s:1:"4";i:1;s:1:"6";i:2;s:1:"3";i:3;s:1:"5";}', 's:0:"";', 's:0:"";', 1, 1),
(2, 1, 1, 1, 'editor', '', 's:0:"";', 's:0:"";', 's:0:"";', 1, 0),
(3, 1, 4, 1, 'editor', '', 's:0:"";', 's:0:"";', 's:0:"";', 1, 1),
(4, 1, 2, 1, 'customtype', '', 's:0:"";', 's:0:"";', 's:0:"";', 1, 1),
(5, 2, 1, 1, 'editor', '', 's:0:"";', 's:0:"";', 's:0:"";', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `oc_megafooter_ctype_desc`
--

CREATE TABLE IF NOT EXISTS `oc_megafooter_ctype_desc` (
  `megafooter_cname_id` int(11) NOT NULL,
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `custname` varchar(255) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `oc_megafooter_ctype_desc`
--

INSERT INTO `oc_megafooter_ctype_desc` (`megafooter_cname_id`, `megafooter_id`, `language_id`, `custname`) VALUES
(15, 4, 1, 'My Account'),
(16, 4, 1, 'Order History'),
(17, 4, 1, 'Wish List'),
(18, 4, 1, 'Newsletter'),
(28, 2, 1, 'Contact Us'),
(29, 2, 1, 'Returns'),
(30, 2, 1, 'Site Map');

-- --------------------------------------------------------

--
-- Table structure for table `oc_megafooter_cuscode_desc`
--

CREATE TABLE IF NOT EXISTS `oc_megafooter_cuscode_desc` (
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megafooter_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `oc_megafooter_cuscode_desc`
--

INSERT INTO `oc_megafooter_cuscode_desc` (`megafooter_id`, `language_id`, `customcode`) VALUES
(1, 1, ''),
(3, 1, '&lt;ul class=&quot;list-unstyled conatctpart&quot;&gt;\r\n          &lt;li&gt;&lt;i aria-hidden=&quot;true&quot; class=&quot;fa fa-map-marker&quot;&gt;&lt;/i&gt;123 Main Street,Anytown,LDH\r\n12345 INDIA&lt;/li&gt;\r\n          &lt;li&gt;&lt;i aria-hidden=&quot;true&quot; class=&quot;fa fa-phone&quot;&gt;&lt;/i&gt; 1800-235-1256&lt;/li&gt;\r\n          &lt;li&gt;&lt;i aria-hidden=&quot;true&quot; class=&quot;fa fa-envelope&quot;&gt;&lt;/i&gt; dimple.multimedia@gmail.com&lt;/li&gt;\r\n        &lt;/ul&gt;'),
(4, 1, ''),
(5, 1, '&lt;p&gt;Powered By &lt;a href=&quot;http://www.opencart.com&quot;&gt;OpenCart&lt;/a&gt; our Store © 2017&lt;/p&gt;'),
(2, 1, '&lt;div class=&quot;soical&quot;&gt;\r\n			&lt;ul class=&quot;list-unstyled&quot;&gt;\r\n				&lt;li&gt;&lt;a href=&quot;&quot;&gt;&lt;i class=&quot;fa fa-facebook&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt; Facebook&lt;/a&gt;&lt;/li&gt;\r\n				&lt;li&gt;&lt;a href=&quot;&quot;&gt;&lt;i class=&quot;fa fa-twitter&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;Twitter&lt;/a&gt;&lt;/li&gt;\r\n				&lt;li&gt;&lt;a href=&quot;&quot;&gt;&lt;i class=&quot;fa fa-google-plus&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;Google+&lt;/a&gt;&lt;/li&gt;\r\n				&lt;li&gt;&lt;a href=&quot;&quot;&gt;&lt;i class=&quot;fa fa-instagram&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;Youtube&lt;/a&gt;&lt;/li&gt;\r\n			&lt;/ul&gt;\r\n		&lt;/div&gt;');

-- --------------------------------------------------------

--
-- Table structure for table `oc_megafooter_custom_type`
--

CREATE TABLE IF NOT EXISTS `oc_megafooter_custom_type` (
  `megafooter_cname_id` int(11) NOT NULL AUTO_INCREMENT,
  `megafooter_id` int(11) NOT NULL,
  `custurl` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`megafooter_cname_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31 ;

--
-- Dumping data for table `oc_megafooter_custom_type`
--

INSERT INTO `oc_megafooter_custom_type` (`megafooter_cname_id`, `megafooter_id`, `custurl`, `sort_order`) VALUES
(15, 4, 'index.php?route=account/account', 1),
(16, 4, 'index.php?route=account/order', 2),
(17, 4, 'index.php?route=account/wishlist', 3),
(18, 4, 'index.php?route=account/newsletter', 4),
(28, 2, 'index.php?route=information/contact', 1),
(29, 2, 'index.php?route=account/return/add', 2),
(30, 2, 'index.php?route=information/sitemap', 3);

-- --------------------------------------------------------

--
-- Table structure for table `oc_megafooter_description`
--

CREATE TABLE IF NOT EXISTS `oc_megafooter_description` (
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customtitle` varchar(255) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `oc_megafooter_description`
--

INSERT INTO `oc_megafooter_description` (`megafooter_id`, `language_id`, `customtitle`) VALUES
(5, 1, 'powered'),
(3, 1, 'Contact us'),
(1, 1, 'information'),
(4, 1, 'my account'),
(2, 1, 'Social Links');

-- --------------------------------------------------------

--
-- Table structure for table `oc_megaheader`
--

CREATE TABLE IF NOT EXISTS `oc_megaheader` (
  `megaheader_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `bgimagetype` varchar(255) NOT NULL,
  `image` text NOT NULL,
  `patternimage` varchar(255) NOT NULL,
  `row` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `title_icon` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `open` int(11) NOT NULL,
  `enable` int(11) NOT NULL,
  `showicon` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `categories` text NOT NULL,
  `products` text NOT NULL,
  `informations` text NOT NULL,
  `manufactures` text NOT NULL,
  `col` int(11) NOT NULL,
  `productsetting` text NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megaheader_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=64 ;

--
-- Dumping data for table `oc_megaheader`
--

INSERT INTO `oc_megaheader` (`megaheader_id`, `type`, `bgimagetype`, `image`, `patternimage`, `row`, `sort_order`, `title_icon`, `url`, `open`, `enable`, `showicon`, `status`, `categories`, `products`, `informations`, `manufactures`, `col`, `productsetting`, `customcode`) VALUES
(58, '', '', '', '', 1, 0, '', 'index.php?route=common/home', 0, 1, 0, 1, 's:0:"";', 's:0:"";', 's:0:"";', 's:0:"";', 1, 's:0:"";', ''),
(59, 'category', '', '', '', 1, 1, '', '', 0, 1, 0, 1, 'a:4:{i:0;s:2:"33";i:1;s:2:"18";i:2;s:2:"46";i:3;s:2:"45";}', 's:0:"";', 's:0:"";', 's:0:"";', 1, 'a:1:{s:8:"category";a:1:{s:11:"subcategory";s:1:"1";}}', ''),
(60, '', '', '', '', 1, 2, '', '', 0, 1, 0, 1, 's:0:"";', 's:0:"";', 's:0:"";', 's:0:"";', 1, 's:0:"";', ''),
(61, '', '', '', '', 1, 3, '', '', 0, 1, 0, 1, 's:0:"";', 's:0:"";', 's:0:"";', 's:0:"";', 1, 's:0:"";', ''),
(62, '', '', '', '', 1, 4, '', 'index.php?route=information/contact', 0, 1, 0, 1, 's:0:"";', 's:0:"";', 's:0:"";', 's:0:"";', 1, 's:0:"";', ''),
(63, '', '', '', '', 1, 5, '', '', 0, 1, 0, 1, 's:0:"";', 's:0:"";', 's:0:"";', 's:0:"";', 1, 's:0:"";', '');

-- --------------------------------------------------------

--
-- Table structure for table `oc_megaheader_ctype_desc`
--

CREATE TABLE IF NOT EXISTS `oc_megaheader_ctype_desc` (
  `megaheader_cname_id` int(11) NOT NULL,
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `custname` varchar(255) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `oc_megaheader_cuscode_desc`
--

CREATE TABLE IF NOT EXISTS `oc_megaheader_cuscode_desc` (
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megaheader_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `oc_megaheader_cuscode_desc`
--

INSERT INTO `oc_megaheader_cuscode_desc` (`megaheader_id`, `language_id`, `customcode`) VALUES
(58, 1, ''),
(59, 1, ''),
(60, 1, ''),
(61, 1, ''),
(62, 1, ''),
(63, 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `oc_megaheader_custom_type`
--

CREATE TABLE IF NOT EXISTS `oc_megaheader_custom_type` (
  `megaheader_cname_id` int(11) NOT NULL AUTO_INCREMENT,
  `megaheader_id` int(11) NOT NULL,
  `custurl` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`megaheader_cname_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `oc_megaheader_description`
--

CREATE TABLE IF NOT EXISTS `oc_megaheader_description` (
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `title` varchar(128) NOT NULL,
  PRIMARY KEY (`megaheader_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `oc_megaheader_description`
--

INSERT INTO `oc_megaheader_description` (`megaheader_id`, `language_id`, `title`) VALUES
(58, 1, 'Home'),
(59, 1, 'Featured ads'),
(60, 1, 'popular ads'),
(61, 1, 'trending ads'),
(62, 1, 'Contact'),
(63, 1, 'help');

-- --------------------------------------------------------

--
-- Table structure for table `oc_newslettertemplate`
--

CREATE TABLE IF NOT EXISTS `oc_newslettertemplate` (
  `newstemplate_id` int(41) NOT NULL AUTO_INCREMENT,
  `name` varchar(41) NOT NULL,
  `sortorder` int(100) NOT NULL,
  `status` int(100) NOT NULL,
  `date_added` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`newstemplate_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `oc_newstemplate`
--

CREATE TABLE IF NOT EXISTS `oc_newstemplate` (
  `newstemplate_id` int(100) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `language_id` int(10) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
