<?php
class ModelExtensionClassifiedtheme extends Model {
	public function install() {
$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."meagafooter_to_store` (
  `megafooter_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."meagaheader_to_store` (
  `megaheader_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megafooter` (
  `megafooter_id` int(11) NOT NULL AUTO_INCREMENT,
  `row` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `status` int(1) NOT NULL,
  `megafootertype` varchar(255) CHARACTER SET utf8 NOT NULL,
  `customcode` text CHARACTER SET utf8 NOT NULL,
  `informations` text NOT NULL,
  `manufactures` text NOT NULL,
  `categories` text NOT NULL,
  `colmns` int(11) NOT NULL,
  `titleshow` int(1) NOT NULL,
  PRIMARY KEY (`megafooter_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megafooter_ctype_desc` (
  `megafooter_cname_id` int(11) NOT NULL,
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `custname` varchar(255) CHARACTER SET utf8 NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megafooter_cuscode_desc` (
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megafooter_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megafooter_custom_type` (
  `megafooter_cname_id` int(11) NOT NULL AUTO_INCREMENT,
  `megafooter_id` int(11) NOT NULL,
  `custurl` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`megafooter_cname_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megafooter_description` (
  `megafooter_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customtitle` varchar(255) CHARACTER SET utf8 NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megaheader` (
  `megaheader_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `bgimagetype` varchar(255) NOT NULL,
  `image` text NOT NULL,
  `patternimage` varchar(255) NOT NULL,
  `row` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `title_icon` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `open` int(11) NOT NULL,
  `enable` int(11) NOT NULL,
  `showicon` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `categories` text NOT NULL,
  `products` text NOT NULL,
  `informations` text NOT NULL,
  `manufactures` text NOT NULL,
  `col` int(11) NOT NULL,
  `productsetting` text NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megaheader_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megaheader_ctype_desc` (
  `megaheader_cname_id` int(11) NOT NULL,
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `custname` varchar(255) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megaheader_cuscode_desc` (
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `customcode` text NOT NULL,
  PRIMARY KEY (`megaheader_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megaheader_custom_type` (
  `megaheader_cname_id` int(11) NOT NULL AUTO_INCREMENT,
  `megaheader_id` int(11) NOT NULL,
  `custurl` varchar(255) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`megaheader_cname_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."megaheader_description` (
  `megaheader_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `title` varchar(128) NOT NULL,
  PRIMARY KEY (`megaheader_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."newslettertemplate` (
  `newstemplate_id` int(41) NOT NULL AUTO_INCREMENT,
  `name` varchar(41) NOT NULL,
  `sortorder` int(100) NOT NULL,
  `status` int(100) NOT NULL,
  `date_added` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`newstemplate_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");

$this->db->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."newstemplate` (
  `newstemplate_id` int(100) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `language_id` int(10) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");
	}
	public function uninstall() {
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."meagafooter_to_store`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."meagaheader_to_store`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megafooter`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megafooter_ctype_desc`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megafooter_cuscode_desc`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megafooter_custom_type`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megafooter_description`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megaheader`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megaheader_ctype_desc`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megaheader_cuscode_desc`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megaheader_custom_type`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."megaheader_description`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."newslettertemplate`");
	$this->db->query("DROP TABLE IF EXISTS `".DB_PREFIX."newstemplate`");
	}
}
