<?php
class ModelCatalogMegaFooter extends Model {
	
	public function addMegafooter($data) {
		//print_r($data); die();
		$this->event->trigger('pre.admin.megafooter.add', $data);
		
		
		if(isset($data['product_category'])){
		$product_category = $data['product_category'];
		} else {
		$product_category = '';
		
		}
		
		if(isset($data['footer_information'])){
		$footer_information = $data['footer_information'];
		} else {
		$footer_information = '';
		}
		
		if(isset($data['footer_manufacturer'])){
		$footer_manufacturer = $data['footer_manufacturer'];
		} else {
		$footer_manufacturer = '';
		}
		
		
		$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter SET megafootertype = '" . $this->db->escape($data['megafootertype']) . "', row = '" . (int)$data['row'] . "', colmns = '" . (int)$data['colmns'] . "', sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', titleshow = '" . (int)$data['titleshow'] . "',  categories='".serialize($product_category)."', informations='".serialize($footer_information)."', manufactures='".serialize($footer_manufacturer)."'");

		$megafooter_id = $this->db->getLastId();
		
		if (isset($data['customcode_description'])) {
				
			foreach ($data['customcode_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_cuscode_desc SET megafooter_id = '" . (int)$megafooter_id . "', language_id = '" . (int)$language_id . "', customcode = '" . $this->db->escape($value['customcode']) . "'");
		}
		}
		
		foreach ($data['megafooter_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_description SET megafooter_id = '" . (int)$megafooter_id . "', language_id = '" . (int)$language_id . "', customtitle = '" . $this->db->escape($value['customtitle']) . "'");
		}
		
		
		if (isset($data['custom_type'])) {
		
		foreach ($data['custom_type'] as $custom_type) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_custom_type SET megafooter_id = '" . (int)$megafooter_id . "', custurl = '" . $this->db->escape($custom_type['custurl']) . "', sort_order = '" . (int)$custom_type['sort_order'] . "'");
			
				$megafooter_cname_id = $this->db->getLastId();
				
				foreach ($custom_type['megafooter_ctype_desc'] as $language_id => $megafooter_ctype_desc) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_ctype_desc SET megafooter_cname_id = '" . (int)$megafooter_cname_id . "', language_id = '" . (int)$language_id . "', megafooter_id = '" . (int)$megafooter_id . "',  custname = '" .  $this->db->escape($megafooter_ctype_desc['custname']) . "'");
				}
				
				}
				
			}
 //// new changes  26-9-2016///
		if (isset($data['meagafooter_store'])) {
			foreach ($data['meagafooter_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "meagafooter_to_store SET megafooter_id = '" . (int)$megafooter_id . "', store_id = '" . (int)$store_id . "'");
			}
		}
		//// new changes  26-9-2016///
				
	}
	
 
	
	public function editMegafooter($megafooter_id, $data) {
		$this->event->trigger('pre.admin.megafooter.edit', $data);
		
		if(isset($data['product_category'])){
		$product_category = $data['product_category'];
		} else {
		$product_category = '';
		
		}
		
		if(isset($data['footer_information'])){
		$footer_information = $data['footer_information'];
		} else {
		$footer_information = '';
		}
		
		if(isset($data['footer_manufacturer'])){
		$footer_manufacturer = $data['footer_manufacturer'];
		} else {
		$footer_manufacturer = '';
		}
		
		$this->db->query("UPDATE " . DB_PREFIX . "megafooter SET megafootertype = '" . $this->db->escape($data['megafootertype']) . "', row = '" . (int)$data['row'] . "', colmns = '" . (int)$data['colmns'] . "',  sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', titleshow = '" . (int)$data['titleshow'] . "', categories='".serialize($product_category)."', informations='".serialize($footer_information)."', manufactures='".serialize($footer_manufacturer)."' WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_cuscode_desc WHERE megafooter_id = '" . (int)$megafooter_id . "'");		
		
		if (isset($data['customcode_description'])) {
				
			foreach ($data['customcode_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_cuscode_desc SET megafooter_id = '" . (int)$megafooter_id . "', language_id = '" . (int)$language_id . "', customcode = '" . $this->db->escape($value['customcode']) . "'");
		}
		}
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_description WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		
		foreach ($data['megafooter_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_description SET megafooter_id = '" . (int)$megafooter_id . "', language_id = '" . (int)$language_id . "', customtitle = '" . $this->db->escape($value['customtitle']) . "'");
		}
		
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_custom_type WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_ctype_desc WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		
		if (isset($data['custom_type'])) {
		foreach ($data['custom_type'] as $custom_type) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_custom_type SET megafooter_id = '" . (int)$megafooter_id . "', custurl = '" . $this->db->escape($custom_type['custurl']) . "', sort_order = '" . (int)$custom_type['sort_order'] . "'");
			
				$megafooter_cname_id = $this->db->getLastId();
				
				foreach ($custom_type['megafooter_ctype_desc'] as $language_id => $megafooter_ctype_desc) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "megafooter_ctype_desc SET megafooter_cname_id = '" . (int)$megafooter_cname_id . "', language_id = '" . (int)$language_id . "', megafooter_id = '" . (int)$megafooter_id . "',  custname = '" .  $this->db->escape($megafooter_ctype_desc['custname']) . "'");
				}
				
				}
		}
		
		//// new changes  26-9-2016///
		$this->db->query("DELETE FROM " . DB_PREFIX . "meagafooter_to_store WHERE megafooter_id = '" . (int)$megafooter_id . "'");

		if (isset($data['meagafooter_store'])) {
			foreach ($data['meagafooter_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "meagafooter_to_store SET megafooter_id = '" . (int)$megafooter_id . "', store_id = '" . (int)$store_id . "'");
			}
		}
		//// new changes  26-9-2016///
	}
	
	public function deleteMegafooter($megafooter_id) {
		$this->event->trigger('pre.admin.megafooter.delete', $megafooter_id);

		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_description WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_custom_type WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_cuscode_desc WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "megafooter_ctype_desc WHERE megafooter_id = '" . (int)$megafooter_id . "'");
		
		

		$this->event->trigger('post.admin.megafooter.delete', $megafooter_id);
	}
	
	public function getMegafootercustoms($megafooter_id) {
		$megafooter_custom_data = array();

		$megafooter_custom_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "megafooter_custom_type WHERE megafooter_id = '" . (int)$megafooter_id . "' ORDER BY sort_order ASC");

		foreach ($megafooter_custom_query->rows as $megafooter_desc) {
			$megafooter_custom_description_data = array();

			$megafooter_custom_description_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "megafooter_ctype_desc WHERE megafooter_cname_id = '" . (int)$megafooter_desc['megafooter_cname_id'] . "' AND megafooter_id = '" . (int)$megafooter_desc['megafooter_id'] . "'");

			foreach ($megafooter_custom_description_query->rows as $megafooter_ctype_desc) {
				$megafooter_custom_description_data[$megafooter_ctype_desc['language_id']] = array('custname' => $megafooter_ctype_desc['custname']);
			}

			$megafooter_custom_data[] = array(
				'megafooter_ctype_desc' => $megafooter_custom_description_data,
				'custurl'                     => $megafooter_desc['custurl'],
				'sort_order'               => $megafooter_desc['sort_order']
			);
		}

		return $megafooter_custom_data;
	}
	
	
	public function getMegafooter($megafooter_id) {
		$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "megafooter m LEFT JOIN " . DB_PREFIX . "megafooter_description md ON (m.megafooter_id = md.megafooter_id) WHERE m.megafooter_id = '" . (int)$megafooter_id . "' AND md.language_id = '" . (int)$this->config->get('config_language_id') . "'");

		return $query->row;
	}

	public function getMegafooters($data = array()) {
		$sql = "SELECT * FROM " . DB_PREFIX . "megafooter m LEFT JOIN " . DB_PREFIX . "megafooter_description md ON (m.megafooter_id = md.megafooter_id) WHERE md.language_id = '" . (int)$this->config->get('config_language_id') . "'";

		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}	
	
	public function getMegafooterDescriptions($megafooter_id) {
		
		$megafooter_description_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "megafooter_description WHERE megafooter_id = '" . (int)$megafooter_id . "'");

		foreach ($query->rows as $result) {
			$megafooter_description_data[$result['language_id']] = array(
				'customtitle'             => $result['customtitle']
			);
		}

		return $megafooter_description_data;
	}
	
	
	public function getTotalMegafooters($data = array()) {
		$sql = "SELECT COUNT(DISTINCT m.megafooter_id) AS total FROM " . DB_PREFIX . "megafooter m LEFT JOIN " . DB_PREFIX . "megafooter_description md ON (m.megafooter_id = md.megafooter_id)";

		$sql .= " WHERE md.language_id = '" . (int)$this->config->get('config_language_id') . "'";


		$query = $this->db->query($sql);

		return $query->row['total'];
	}
	
	public function getCustomcodeDescriptions($megafooter_id) {
		
		$megafooter_customcode_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "megafooter_cuscode_desc WHERE megafooter_id = '" . (int)$megafooter_id . "'");

		foreach ($query->rows as $result) {
			$megafooter_customcode_data[$result['language_id']] = array(
				'customcode'             => $result['customcode']
			);
		}

		return $megafooter_customcode_data;
	}

	//// new changes  26-9-2016///
	public function getmegaStores($megafooter_id) {
		$meagfooter_store_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "meagafooter_to_store WHERE megafooter_id = '" . (int)$megafooter_id . "'");

		foreach ($query->rows as $result) {
			$meagfooter_store_data[] = $result['store_id'];
		}

		return $meagfooter_store_data;
	}
	//// new changes  26-9-2016///	
	
}