<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-customeheder" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-customeheder" class="form-horizontal">
			<div class="form-group required">
            <label class="col-sm-2 control-label"><?php echo $entry_custitle; ?></label>
            <div class="col-sm-10">
              <?php foreach ($languages as $language) {?>
			  
              <div class="input-group"> <span class="input-group-addon"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" /></span>
                <input type="text" name="megafooter_description[<?php echo $language['language_id']; ?>][customtitle]" value="<?php echo isset($megafooter_description[$language['language_id']]) ? $megafooter_description[$language['language_id']]['customtitle'] : ''; ?>" placeholder="<?php echo $entry_custitle; ?>" class="form-control" />
              </div>
              <?php if (isset($error_customtitle[$language['language_id']])) { ?>
              <div class="text-danger"><?php echo $error_customtitle[$language['language_id']]; ?></div>
              <?php } ?>
              <?php } ?>
            </div>
          </div>
			<div class="form-group">
					<label class="col-sm-2 control-label"><?php echo $entry_type; ?></label>
					<div class="col-sm-10">
						<select class="form-control" name="megafootertype" id="menuselector">
							<option value=""><?php echo $text_select ?> </option> 
							<option value="category" <?php if($megafootertype=='category') {?> selected="selected" <?php } ?>><?php echo $text_category; ?></option> 
							<option value="information" <?php if($megafootertype=='information') {?> selected="selected" <?php } ?>><?php echo $text_info; ?></option> 
							<option value="brand" <?php if($megafootertype=='brand') {?> selected="selected" <?php } ?>><?php echo $text_manufact; ?></option> 
							<option value="customtype" <?php if($megafootertype=='customtype') {?> selected="selected" <?php } ?>><?php echo $text_custom; ?></option> 
							<option value="editor" <?php if($megafootertype=='editor') {?> selected="selected" <?php } ?>><?php echo $text_editor; ?></option>  
					    </select>
					</div>
			</div>
			<!--ajex-->
				<div style="width:100%;border:solid 5px #ddd; margin-bottom:10px; display:none"></div>
				
				<!--Start Category-->
				<div id="category" class="form-group colors" style="display:none;border-top:solid 5px #ddd; margin-bottom:10px; padding:15px;">
                <label class="col-sm-2 control-label" for="input-category"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_category; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="category" value="" placeholder="<?php echo $entry_category; ?>" id="input-category" class="form-control" />
                  <div id="product-category" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($product_categories as $product_category) { ?>
                    <div id="product-category<?php echo $product_category['category_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $product_category['name']; ?>
                      <input type="hidden" name="product_category[]" value="<?php echo $product_category['category_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
				</div>
			  <!--End Category-->
			  
			   <!--Start Information-->
			  <div id="information" class="form-group colors" style="display:none">
                <label class="col-sm-2 control-label" for="input-information"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_information ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="information" value="" placeholder="<?php echo $entry_information; ?>" id="input-information" class="form-control" />
                  <div id="footer-information" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($footer_informationies as $footer_information) { ?>
                    <div id="footer-information<?php echo $footer_information['information_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $footer_information['name']; ?>
                      <input type="hidden" name="footer_information[]" value="<?php echo $footer_information['information_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
			  <!--End Information-->
			  
			   <!--Start Manufacturer-->
			  <div id="brand" class="form-group colors" style="display:none">
                <label class="col-sm-2 control-label" for="input-manufacturer"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_manufacturer ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="manufacturer" value="" placeholder="<?php echo $entry_manufacturer; ?>" id="input-manufacturer" class="form-control" />
                  <div id="footer-manufacturer" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($footer_manufactureries as $footer_manufacturer) { ?>
                    <div id="footer-manufacturer<?php echo $footer_manufacturer['manufacturer_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $footer_manufacturer['name']; ?>
                      <input type="hidden" name="footer_manufacturer[]" value="<?php echo $footer_manufacturer['manufacturer_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
			  <!--End Manufacturer-->
			  
				<!--Start Custom-->
				<div id="customtype" class="form-group colors" style="display:none">
					<div class="table-responsive">
                <table id="customs" class="table table-striped table-bordered table-hover">
                  <thead>
                    <tr>
                      <td class="text-left"><?php echo $entry_custname; ?></td>
                      <td class="text-left"><?php echo $entry_custurl; ?></td>
                      <td class="text-right"><?php echo $entry_sort_order; ?></td>
                      <td></td>
                    </tr>
                  </thead>
                  <tbody>
                    <?php $custom_row = 0; ?>
                    <?php foreach ($custom_types as $custom_type) { ?>
                    <tr id="custom-row<?php echo $custom_row; ?>">
					  <td class="text-left"><?php foreach ($languages as $language) { ?>
						<div class="input-group"><span class="input-group-addon"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" /></span>
						 
						<input type="text" name="custom_type[<?php echo $custom_row; ?>][megafooter_ctype_desc][<?php echo $language['language_id']; ?>][custname]" value="<?php echo isset($custom_type['megafooter_ctype_desc'][$language['language_id']]) ? $custom_type['megafooter_ctype_desc'][$language['language_id']]['custname'] : ''; ?>"  placeholder="<?php echo $entry_custname; ?>" class="form-control" />
						  </div>
						 <?php } ?>
						 
						</td> 
					  
					  
					  
					  <td class="text-left"><input type="text" name="custom_type[<?php echo $custom_row; ?>][custurl]" value="<?php echo $custom_type['custurl']; ?>" placeholder="<?php echo $entry_sort_order; ?>" class="form-control" /></td>
                      <td class="text-right"><input type="text" name="custom_type[<?php echo $custom_row; ?>][sort_order]" value="<?php echo $custom_type['sort_order']; ?>" placeholder="<?php echo $entry_sort_order; ?>" class="form-control" /></td>
                      <td class="text-left"><button type="button" onclick="$('#custom-row<?php echo $custom_row; ?>').remove();" data-toggle="tooltip" title="<?php echo $button_remove; ?>" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>
                    </tr>
                    <?php $custom_row++; ?>
                    <?php } ?>
                  </tbody>
                  <tfoot>
                    <tr>
                      <td colspan="3"></td>
                      <td class="text-left"><button type="button" onclick="addCustom();" data-toggle="tooltip" title="<?php echo $button_custom; ?>" class="btn btn-primary"><i class="fa fa-plus-circle"></i></button></td>
                    </tr>
                  </tfoot>
                </table>
              </div>
                </div>
				<!--End Custom-->
				<!--start Editor-->
				<div id="editor" class="form-group colors" style="display:none">
				
              <ul class="nav nav-tabs" id="language">
                <?php foreach ($languages as $language) { ?>
               <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
                <?php } ?>
              </ul>
			  
              <div class="tab-content">
                <?php foreach ($languages as $language) { ?>
                <div class="tab-pane active" id="language<?php echo $language['language_id']; ?>">
                  
                  <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-customcode<?php echo $language['language_id']; ?>"><?php echo $entry_customcode; ?></label>
                    <div class="col-sm-10">
                      <textarea name="customcode_description[<?php echo $language['language_id']; ?>][customcode]" placeholder="<?php echo $entry_customcode; ?>" id="input-customcode<?php echo $language['language_id']; ?>" class="form-control summernote"><?php echo isset($customcode_description[$language['language_id']]) ? $customcode_description[$language['language_id']]['customcode'] : ''; ?></textarea>
                    
                    </div>
                  </div>
                  
                </div>
                <?php } ?>
              </div>
              </div>
          
			
				<!--end Editor-->
			  <!--ajex-->
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-row"><?php echo $entry_row; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="row" value="<?php echo $row; ?>" placeholder="<?php echo $entry_row; ?>" id="input-row" class="form-control" />
                </div>
              </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-cols"><?php echo $entry_cols; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="colmns" value="<?php echo $colmns; ?>" placeholder="<?php echo $entry_cols; ?>" id="input-cols" class="form-control" />
                </div>
              </div>
			  
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="sort_order" value="<?php echo $sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_titleshow; ?></label>
                <div class="col-sm-10">
                  <label class="radio-inline">
                    <?php if ($titleshow) { ?>
                    <input type="radio" name="titleshow" value="1" checked="checked" />
                    <?php echo $text_yes; ?>
                    <?php } else { ?>
                    <input type="radio" name="titleshow" value="1" />
                    <?php echo $text_yes; ?>
                    <?php } ?>
                  </label>
                  <label class="radio-inline">
                    <?php if (!$titleshow) { ?>
                    <input type="radio" name="titleshow" value="0" checked="checked" />
                    <?php echo $text_no; ?>
                    <?php } else { ?>
                    <input type="radio" name="titleshow" value="0" />
                    <?php echo $text_no; ?>
                    <?php } ?>
                  </label>
                </div>
              </div>
			  <!-- //// new changes  26-9-2016/// -->
			   <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_store; ?></label>
                <div class="col-sm-10">
                  <div class="well well-sm" style="height: 150px; overflow: auto;">
                    <div class="checkbox">
                      <label>
                        <?php if (in_array(0, $meagafooter_store)) { ?>
                        <input type="checkbox" name="meagafooter_store[]" value="0" checked="checked" />
                        <?php echo $text_default; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="meagafooter_store[]" value="0" />
                        <?php echo $text_default; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php foreach ($stores as $store) { ?>
                    <div class="checkbox">
                      <label>
                        <?php if (in_array($store['store_id'], $meagafooter_store)) { ?>
                        <input type="checkbox" name="meagafooter_store[]" value="<?php echo $store['store_id']; ?>" checked="checked" />
                        <?php echo $store['name']; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="meagafooter_store[]" value="<?php echo $store['store_id']; ?>" />
                        <?php echo $store['name']; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
			    <!-- //// new changes  26-9-2016/// -->
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="status" id="input-status" class="form-control">
                    <?php if ($status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
        </form>
      </div>
    </div>
  </div>
    <script type="text/javascript" src="view/javascript/summernote/summernote.js"></script>
  <link href="view/javascript/summernote/summernote.css" rel="stylesheet" />
  <script type="text/javascript" src="view/javascript/summernote/opencart.js"></script> 
 <script>
    $(function() {
        $('#menuselector').change(function(){
            $('.colors').hide();
            $('#' + $(this).val()).show();
        });
		$('#'+$('#menuselector option:selected').val()).show();
    });
</script>


<script type="text/javascript"><!--
var custom_row = <?php echo $custom_row; ?>;

function addCustom() {
	html  = '<tr id="custom-row' + custom_row + '">';	
	html += '  <td class="text-left">';
	<?php foreach ($languages as $language) { ?>
	html += '    <div class="input-group">';
	html += '      <span class="input-group-addon"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" /></span><input type="text" name="custom_type[' + custom_row + '][megafooter_ctype_desc][<?php echo $language['language_id']; ?>][custname]" value="" placeholder="<?php echo $entry_custname; ?>" class="form-control" />';
	 html += '    </div>';
	<?php } ?>
	html += '  </td>';
	
	html += '  <td class="text-left"><input type="text" name="custom_type[' + custom_row + '][custurl]" value="" placeholder="<?php echo $entry_custurl; ?>" class="form-control" /></td>';
	html += '  <td class="text-right"><input type="text" name="custom_type[' + custom_row + '][sort_order]" value="" placeholder="<?php echo $entry_sort_order; ?>" class="form-control" /></td>';
	html += '  <td class="text-left"><button type="button" onclick="$(\'#custom-row' + custom_row  + '\').remove();" data-toggle="tooltip" title="<?php echo $button_remove; ?>" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>';
	html += '</tr>';

	$('#customs tbody').append(html);

	custom_row++;
}
//--></script>

<script type="text/javascript"><!--
// Category
$('input[name=\'category\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/category/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['category_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'category\']').val('');
		
		$('#product-category' + item['value']).remove();
		
		$('#product-category').append('<div id="product-category' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="product_category[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#product-category').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});



// Informations
$('input[name=\'information\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/megafooter/infoautocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['information_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'information\']').val('');
		
		$('#footer-information' + item['value']).remove();
		
		$('#footer-information').append('<div id="footer-information' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="footer_information[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#footer-information').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

// Manufacturer
$('input[name=\'manufacturer\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/megafooter/manufautocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['manufacturer_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'manufacturer\']').val('');
		
		$('#footer-manufacturer' + item['value']).remove();
		
		$('#footer-manufacturer').append('<div id="header-manufacturer' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="footer_manufacturer[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#footer-manufacturer').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//--></script> 

</div>
<?php echo $footer; ?>