<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-megafootersetting" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-megafootersetting" class="form-horizontal">
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footerbg"><span data-toggle="tooltip" title="<?php echo $help_footerbg; ?>"><?php echo $entry_footerbg; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footerbg" value="<?php echo $megafooter_footerbg; ?>" placeholder="<?php echo $entry_footerbg; ?>" id="input-footerbg" class="form-control demo" />
                </div>
            </div>	
			
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footertitle"><span data-toggle="tooltip" title="<?php echo $help_footertitle; ?>"><?php echo $entry_footertitle; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footertitle" value="<?php echo $megafooter_footertitle; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footertitle" class="form-control demo" />
                </div>
            </div>	
			
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footerlink"><span data-toggle="tooltip" title="<?php echo $help_footerlink; ?>"><?php echo $entry_footerlink; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footerlink" value="<?php echo $megafooter_footerlink; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footerlink" class="form-control demo" />
                </div>
            </div>	
			
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footerhlink"><span data-toggle="tooltip" title="<?php echo $help_footerhlink; ?>"><?php echo $entry_footerhlink; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footerhlink" value="<?php echo $megafooter_footerhlink; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footerhlink" class="form-control demo" />
                </div>
            </div>	
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footerpowd"><span data-toggle="tooltip" title="<?php echo $help_footerpowd; ?>"><?php echo $entry_footerpowd; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footerpowd" value="<?php echo $megafooter_footerpowd; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footerpowd" class="form-control demo" />
                </div>
            </div>	
			
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footertitlesize"><span data-toggle="tooltip" title="<?php echo $help_footertitlesize; ?>"><?php echo $entry_footertitlesize; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footertitlesize" value="<?php echo $megafooter_footertitlesize; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footertitlesize" class="form-control" />
                </div>
            </div>	
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-footerlinksize"><span data-toggle="tooltip" title="<?php echo $help_footerlinksize; ?>"><?php echo $entry_footerlinksize; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="megafooter_footerlinksize" value="<?php echo $megafooter_footerlinksize; ?>" placeholder="<?php echo $entry_footertitle; ?>" id="input-footerlinksize" class="form-control " />
                </div>
            </div>	
			
			<div class="form-group">
                <label class="col-sm-2 control-label"><span data-toggle="tooltip" title="<?php echo $help_footercontainer; ?>"><?php echo $entry_footercontainer; ?></span></label>
                <div class="col-sm-10">
                  <label class="radio-inline">
                    <?php if ($megafooter_footercontainer) { ?>
                    <input type="radio" name="megafooter_footercontainer" value="1" checked="checked" />
                    <?php echo $text_yes; ?>
                    <?php } else { ?>
                    <input type="radio" name="megafooter_footercontainer" value="1" />
                    <?php echo $text_yes; ?>
                    <?php } ?>
                  </label>
                  <label class="radio-inline">
                    <?php if (!$megafooter_footercontainer) { ?>
                    <input type="radio" name="megafooter_footercontainer" value="0" checked="checked" />
                    <?php echo $text_no; ?>
                    <?php } else { ?>
                    <input type="radio" name="megafooter_footercontainer" value="0" />
                    <?php echo $text_no; ?>
                    <?php } ?>
                  </label>
                </div>
              </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label"><span data-toggle="tooltip" title="<?php echo $help_footerlinknew; ?>"><?php echo $entry_footerlinknew; ?></span></label>
                <div class="col-sm-10">
                  <label class="radio-inline">
                    <?php if ($megafooter_footerlinknew) { ?>
                    <input type="radio" name="megafooter_footerlinknew" value="1" checked="checked" />
                    <?php echo $text_yes; ?>
                    <?php } else { ?>
                    <input type="radio" name="megafooter_footerlinknew" value="1" />
                    <?php echo $text_yes; ?>
                    <?php } ?>
                  </label>
                  <label class="radio-inline">
                    <?php if (!$megafooter_footerlinknew) { ?>
                    <input type="radio" name="megafooter_footerlinknew" value="0" checked="checked" />
                    <?php echo $text_no; ?>
                    <?php } else { ?>
                    <input type="radio" name="megafooter_footerlinknew" value="0" />
                    <?php echo $text_no; ?>
                    <?php } ?>
                  </label>
                </div>
              </div>
        </form>
      </div>
    </div>
  </div>
</div>
<script src="view/javascript/colorbox/jquery.minicolors.js"></script>
<link rel="stylesheet" href="view/stylesheet/jquery.minicolors.css">
<script>
		$(document).ready( function() {
			
            $('.demo').each( function() {
               		$(this).minicolors({
					control: $(this).attr('data-control') || 'hue',
					defaultValue: $(this).attr('data-defaultValue') || '',
					inline: $(this).attr('data-inline') === 'true',
					letterCase: $(this).attr('data-letterCase') || 'lowercase',
					opacity: $(this).attr('data-opacity'),
					position: $(this).attr('data-position') || 'bottom left',
					change: function(hex, opacity) {
						if( !hex ) return;
						if( opacity ) hex += ', ' + opacity;
						try {
							console.log(hex);
						} catch(e) {}
					},
					theme: 'bootstrap'
				});
                
            });
			
		});
</script>
<?php echo $footer; ?>