<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="container-fluid">
	    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
	<div class="row">
	<div class="logopart">
       <div class="col-lg-12 col-md-12 col-sm-12">
		<?php echo $dashmenu; ?>
	  </div>
    </div>
    </div>
	<div class="page-header">
		<div class="container-fluid">
		  <div class="pull-right">
			<button type="submit" form="form-category" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
			<a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
			<!--<a href="#modal-one" data-toggle="modal" title="<?php echo $button_shortcut; ?>" class="btn btn-default"><?php echo $button_shortcut; ?></a>-->
			</div>
		  <h1><?php echo $heading_title; ?></h1>
		  <ul class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
			<?php } ?>
		  </ul>
		</div>
	</div>
	<div class="container-fluid">
		<?php if ($error_warning) { ?>
		<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
		  <button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
			</div>
		<div class="panel-body">
		<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-newssubscriber" class="form-horizontal">
		
		<div class="form-group required">
                <label class="col-sm-2 control-label" for="input-sortorder"><?php echo $entry_name; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="name" value="<?php echo $name;?>" placeholder="<?php echo $entry_name; ?>" id="input-sortorder" class="form-control" />
										<?php if ($error_name) { ?>
                     <div class="text-danger"><?php echo $error_name; ?></div>
                  <?php } ?>
                </div>
            </div>
			<ul class="nav nav-tabs" id="language">
                <?php foreach ($languages as $language) { ?>
                <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
                <?php } ?>
            </ul>
			<div class="tab-content">
			 
			
                <?php foreach ($languages as $language) { ?>
                <div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
				      <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-subject<?php echo $language['language_id']; ?>"><?php echo $entry_subject; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="newsletter_template[<?php echo $language['language_id']; ?>][subject]" value="<?php echo isset($newsletter_template[$language['language_id']]) ? $newsletter_template[$language['language_id']]['subject'] : ''; ?>" placeholder="<?php echo $entry_subject; ?>" id="input-subject<?php echo $language['language_id']; ?>" class="form-control" />
											<?php if (isset($error_subject[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_subject[$language['language_id']]; ?></div>
                      <?php } ?>
											
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-description<?php echo $language['language_id']; ?>"><?php echo $entry_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="newsletter_template[<?php echo $language['language_id']; ?>][description]" placeholder="<?php echo $entry_description; ?>" id="input-description<?php echo $language['language_id']; ?>" class="form-control summernote"><?php echo isset($newsletter_template[$language['language_id']]) ? $newsletter_template[$language['language_id']]['description'] : ''; ?></textarea>
											<?php if (isset($error_description[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_description[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                </div>
                <?php } ?>
            </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sortorder"><?php echo $entry_sortorder; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="sortorder"value="<?php echo $sortorder;?>" placeholder="<?php echo $entry_sortorder; ?>" id="input-sortorder" class="form-control" />
										<?php if ($error_sortorder) { ?>
                     <div class="text-danger"><?php echo $error_sortorder; ?></div>
                  <?php } ?>
                </div>
            </div>
						<div class="form-group">
                <label class="col-sm-2 control-label" for="status">
                  <?php echo $entry_Status;?>
                </label>
                <div class="col-sm-10">
                  <select class="form-control" id="status" name="status">
                    <option value="1" <?php if(isset($status) && $status=1) { echo "selected"; }?>><?php echo $text_enable?></option>
                    <option value="0" <?php if(isset($status) && $status=0) { echo "selected"; }?>><?php echo $text_disable?></option>
                  </select>
									<?php if ($error_status) { ?>
                  <div class="text-danger"><?php echo $error_status; ?></div>
                  <?php } ?>
                </div>
              </div>
						

		</form>
		</div>
		</div>
	</div>
</div>
</div>
<!-- /Modal -->
<div class="modal" id="modal-one" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
    </div>
    <div class="modal-body">
		<h2 class="text-center">ShortCut</h2>
		<ul class="list-unstyled text-center">
			<li>{Customer_name} = Customer Name</li>
			<li>{Template_name} = Template Name</li>
			<li>{Store_name}    = Store Name</li>
			<li>{Logo}          = Logo</li>
		</ul>
    </div>
    </div>
  </div>
</div>
<!-- /Modal -->
  <script type="text/javascript" src="view/javascript/summernote/summernote.js"></script>
  <link href="view/javascript/summernote/summernote.css" rel="stylesheet" />
  <script type="text/javascript" src="view/javascript/summernote/opencart.js"></script> 
  <script type="text/javascript"><!--
$('#language a:first').tab('show');
//--></script>

<?php echo $footer; ?>

